# cargo search

## NAME

cargo-search - Search packages in crates.io

## SYNOPSIS

`cargo search [OPTIONS] [QUERY…​]`

## DESCRIPTION

This performs a textual search for crates on https://crates.io. The matching crates will be displayed along with their description in TOML format suitable for copying into a `Cargo.toml` manifest.

## OPTIONS

### Search Options

--limit LIMIT

  Limit the number of results (default: 10, max: 100).

--index INDEX

  The URL of the registry index to use.

--registry REGISTRY

  Alternative registry to use.

  This option is unstable and available only on the nightly channel and requires the `-Z unstable-options` flag to enable.

### Display Options

-v
--verbose

  Use verbose output. May be specified twice for "very verbose" output which includes extra output such as dependency warnings and build script output. May also be specified with the `term.verbose` config value.

-q
--quiet

  No output printed to stdout.

--color WHEN

  Control when colored output is used. Valid values:

  - `auto` (default): Automatically detect if color support is available on the terminal.

  - `always`: Always display colors.

  - `never`: Never display colors.

  May also be specified with the `term.color` config value.

### Common Options

-h
--help

  Prints help information.

-Z FLAG…​

  Unstable (nightly-only) flags to Cargo. Run `cargo -Z help` for details.

## ENVIRONMENT

See the reference for details on environment variables that Cargo reads.

## Exit Status

0

  Cargo succeeded.

101

  Cargo failed to complete.

## EXAMPLES

1. Search for a package from crates.io:

       cargo search serde

## SEE ALSO

cargo(1), cargo-install(1), cargo-publish(1)